Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.xml.binding.parser.xni
Class XniJBossXBParser

    java.lang.Object
      org.jboss.xml.binding.parser.xni.XniJBossXBParser

All Implemented Interfaces:
  JBossXBParser

public class XniJBossXBParser
extends Object
implements JBossXBParser

Version:
  `$Revision: 1.6 $`
Author:
  Alexey Loubyansky

Nested Class Summary

Nested classes inherited from class org.jboss.xml.binding.parser.JBossXBParser
`JBossXBParser.ContentHandler`

Constructor Summary
`XniJBossXBParser()`

Method Summary
`void` | `parse(InputStream is, JBossXBParser.ContentHandler handler)`
`void` | `parse(Reader reader, JBossXBParser.ContentHandler handler)`
`void` | `parse(String systemId, JBossXBParser.ContentHandler handler)`
`void` | `setEntityResolver(EntityResolver entityResolver)`
`void` | `setFeature(String name, boolean value)`
`void` | `setProperty(String name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XniJBossXBParser

    public XniJBossXBParser()

Method Detail

### setEntityResolver

    public void setEntityResolver(EntityResolver entityResolver)
                           throws JBossXBException

  Specified by:
    `setEntityResolver` in interface `JBossXBParser`
  Throws:
    `JBossXBException`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws JBossXBException

  Specified by:
    `setProperty` in interface `JBossXBParser`
  Throws:
    `JBossXBException`

### setFeature

    public void setFeature(String name,
                           boolean value)
                    throws JBossXBException

  Specified by:
    `setFeature` in interface `JBossXBParser`
  Throws:
    `JBossXBException`

### parse

    public void parse(String systemId,
                      JBossXBParser.ContentHandler handler)
               throws JBossXBException

  Specified by:
    `parse` in interface `JBossXBParser`
  Throws:
    `JBossXBException`

### parse

    public void parse(InputStream is,
                      JBossXBParser.ContentHandler handler)
               throws JBossXBException

  Specified by:
    `parse` in interface `JBossXBParser`
  Throws:
    `JBossXBException`

### parse

    public void parse(Reader reader,
                      JBossXBParser.ContentHandler handler)
               throws JBossXBException

  Specified by:
    `parse` in interface `JBossXBParser`
  Throws:
    `JBossXBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.